Page MenuHomePhabricator

ResourceLoaderImageModule does no cache invalidation after icons change
Closed, ResolvedPublic1 Story Points

Description

ResourceLoaderImageModule does no cache invalidation after the icon files change.

Whoops.

Event Timeline

matmarex created this task.Apr 1 2015, 7:06 PM
matmarex claimed this task.
matmarex raised the priority of this task from to High.
matmarex updated the task description. (Show Details)
matmarex added subscribers: Krinkle, Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2015, 7:06 PM

(Adding Mobile as FYI, since you guys are using this thing in MobileFrontend and Gather.)

Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.

Change 201267 had a related patch set uploaded (by Bartosz Dziewoński):
ResourceLoaderImageModule: Include image files in cache invalidation

https://gerrit.wikimedia.org/r/201267

Change 201267 merged by jenkins-bot:
ResourceLoaderImageModule: Implement cache invalidation

https://gerrit.wikimedia.org/r/201267

matmarex closed this task as Resolved.Apr 15 2015, 9:54 PM
matmarex removed a project: Patch-For-Review.
matmarex removed a subscriber: gerritbot.
Restricted Application added a project: Performance-Team. · View Herald TranscriptMar 7 2018, 1:32 AM